#pragma once
#include <map>
struct M_SplashScreenCFGData
{
	//闪屏ID
	int mSplashScreenId;
	//文化部备案
	std::string mText1;
	//审批文号
	std::string mText2;
	//出版物号
	std::string mText3;
	//著作权人
	std::string mText4;
	//出版单位
	std::string mText5;
	//备注
	std::string mRemark;
};

class M_SplashScreenCFG
{
public:
private:
	static std::auto_ptr<M_SplashScreenCFG> msSingleton;
public:
	int GetCount();
	const M_SplashScreenCFGData* GetData(int SplashScreenId);
	const std::map<int, M_SplashScreenCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_SplashScreenCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_SplashScreenCFGData> mMapData;
};
